<?php
	include_once('config.php');   
    if(!isset($_SESSION['custId'])) 
    {
         header("Location: ".ROOTPATH."/");
         die;
    }  

     			
         if(isset($_POST['submitLogin']))
         {  
	 
				if(isset($_REQUEST['agency']))
				{	
					if(isset($_POST['source']))
						$source	= $_POST['source'];
					else
						$source	= "NA";
					
					$stmt=$conn->prepare("insert into   pw__comdtdata (cmdt,grade,dat1,dat2,dat3,avgdta,center,source,Tdate,custId,randumNo,index1,index2,index3,perc,csr,agId) values(:cmdt,:grade,:dat1,:dat2,:dat3,:avgdta,:center,:source,:Tdate,:custId,:randumNo,:index1,:index2,:index3,:perc,:csr,:agId) ");   
					$stmt->bindValue(':cmdt', $_POST['commodity'] , PDO::PARAM_STR); 
					$stmt->bindValue(':grade', $_POST['grade'] , PDO::PARAM_STR); 
					$stmt->bindValue(':dat1', $_POST['before1'] , PDO::PARAM_STR);  
					$stmt->bindValue(':dat2', $_POST['before2'] , PDO::PARAM_STR);  
					$stmt->bindValue(':dat3', $_POST['before3'] , PDO::PARAM_STR);  
					$stmt->bindValue(':avgdta', $_POST['avg']  , PDO::PARAM_STR);  
					$stmt->bindValue(':center', $_POST['center'] , PDO::PARAM_STR);  
					$stmt->bindValue(':source', $source , PDO::PARAM_STR);  
					$stmt->bindValue(':Tdate', date("d-M-Y"), PDO::PARAM_STR);  
					$stmt->bindValue(':custId', $_SESSION['custId'] , PDO::PARAM_STR);  
					$stmt->bindValue(':randumNo', $_REQUEST['randNo'] , PDO::PARAM_STR);  
					$stmt->bindValue(':index1', $_POST['index1'] , PDO::PARAM_STR); 
					$stmt->bindValue(':index2', $_POST['index2'] , PDO::PARAM_STR); 
					$stmt->bindValue(':index3', $_POST['index3'] , PDO::PARAM_STR); 
					$stmt->bindValue(':perc', $_POST['percentage'] , PDO::PARAM_STR); 
					$stmt->bindValue(':csr', $_POST['csr'] , PDO::PARAM_STR); 
					$stmt->bindValue(':agId', $_REQUEST['agency'] , PDO::PARAM_STR); 
					$stmt->execute();  
					$_SESSION['comdTY'] = "Commodity Addded";
					header("Location: addcomodity.php?randNo=".$_REQUEST['randNo'].'&agency='.$_REQUEST['agency']);
					die;
				} 		
						
         }  

include_once("view/addcomodity.php");
?>